/* Set CLASSPATH and Java options */
/* Modification log              *//*
2002.8   orca
   Tomcat 4.0.4 XNvg"setclasspath.sh"Ƃɂč쐬
   BASEDIR ͈Ƃ, Ԃl͊ϐƂăA

   G[Ƃ, IɌ '1'ԂƂɂȂ
   ȂƂɂ() result ϐgĒׂ΂ȂƂł邩
*/
options translate('ETmode')

parse arg BASEDIR

call getenv 'JAVA_HOME'
if JAVA_HOME == '' then do
   say 'The JAVA_HOME environment variable is not defined'
   say 'This environment variable is needed to run this program'
   exit 1
end
if stream(JAVA_HOME'/bin/java*', 'c', 'query exists') == '' then do
   say 'The JAVA_HOME environment variable is not defined correctly'
   say 'This environment variable is needed to run this program'
   exit 1
end
if BASEDIR == '' then do
   say 'The BASEDIR environment variable is not defined'
   say 'This environment variable is needed to run this program'
   exit 1
end
if stream(BASEDIR'/bin/setclasspath.cmd', 'c', 'query exists') == '' then do
   say 'The BASEDIR environment variable is not defined correctly'
   say 'This environment variable is needed to run this program'
   exit 1
end

call setenv 'JAVA_ENDORSED_DIRS', BASEDIR'/bin;'BASEDIR'/common/lib;'
call setenv 'CLASSPATH', JAVA_HOME'/lib/tools.jar;'

/* EE Jikes */

_RUNJAVA = JAVA_HOME'/bin/java'
if stream(_RUNJAVA, 'c', 'query exists') == '' then
   _RUNJAVA = JAVA_HOME'/jre/bin/java'

call setenv '_RUNJAVA', translate(_RUNJAVA, '\', '/')
call setenv '_RUNJDB', translate(JAVA_HOME'/bin/jdb', '\', '/')
exit


setenv: call value arg(1), arg(2), 'OS2ENVIRONMENT'; return;
getenv:
   if symbol(arg(1)) == 'LIT' then
      call value arg(1), value(arg(1),, 'OS2ENVIRONMENT')
   return value(arg(1))

/**  End of Script  **/
